Bug 819235

Summary: xen does not recognise installed memory on X9SCV-Q
Product: [Fedora] Fedora Reporter: yaxattax
Component: xenAssignee: Michael Young <m.a.young>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: bill-bugzilla.redhat.com, crobinso, dkiper, jforbes, kraxel, m.a.young, michael, virt-maint, xen-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-11 16:41:30 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
adds e820_ignore_raw option to xen
none
spec to build xen with the e820_ignore_raw option none

Description yaxattax 2012-05-05 16:40:02 EDT
Description of problem:
Xen does not see all installed memory: 16GB installed, but xm info reports 511

I have a UEFI BIOS motherboard - Supermicro X9SCV-Q

A similar bug is filed at http://serverfault.com/questions/342109/xen-only-sees-512mb-of-system-ram-should-be-8gb-uefi-boot

Version-Release number of selected component (if applicable):
4.1.2-6


How reproducible:
Always


Steps to Reproduce:
1.Boot the system
2.Type xm info
3.Verify total_memory field
  
Actual results:
total_memory field shows 511


Expected results:
total_memory should show approx 16,000

Additional info:
Comment 1 yaxattax 2012-05-06 07:05:31 EDT
Some additional info from xm dmesg:

(XEN) Xen version 4.1.2 (mockbuild@phx2.fedoraproject.org) (gcc version 4.6.2 20111027 (Red Hat 4.6.2-1) (GCC) ) Fri Feb  3 22:02:40 UTC 2012
(XEN) Latest ChangeSet: unavailable
(XEN) Bootloader: GRUB 1.99
(XEN) Command line: placeholder
(XEN) Video information:
(XEN)  VGA is text mode 80x25, font 8x16
(XEN)  VBE/DDC methods: V2; EDID transfer time: 1 seconds
(XEN) Disc information:
(XEN)  Found 0 MBR signatures
(XEN)  Found 0 EDD information structures
(XEN) Xen-e801 RAM map:
(XEN)  0000000000000000 - 000000000009a800 (usable)
(XEN)  0000000000100000 - 0000000020000000 (usable)
(XEN) ACPI Error (tbxfroot-0220): A valid RSDP was not found [20070126]
(XEN) Domain heap initialised
(XEN) Table is not found!
Comment 2 yaxattax 2012-05-06 07:20:51 EDT
Some sources suggest that the grub bootloader may be at fault. To clarify, I loaded without xen:

[root@f16dom0 ~]# cat /proc/meminfo | head
MemTotal:       16321804 kB
MemFree:        16017576 kB
Buffers:            7456 kB
Cached:           100280 kB
SwapCached:            0 kB
Active:            56096 kB
Inactive:          85628 kB
Active(anon):      39704 kB
Inactive(anon):    46564 kB
Active(file):      16392 kB
[root@f16dom0 ~]#

[root@f16dom0 ~]# dmesg | head -250
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 3.3.2-1.fc16.x86_64 (mockbuild@x86-04.phx2.fedoraproject.org) (gcc version 4.6.3 20120306 (Red Hat 4.6.3-2) (GCC) ) #1 SMP Sat Apr 14 00:31:23 UTC 2012
[    0.000000] Command line: BOOT_IMAGE=/vmlinuz-3.3.2-1.fc16.x86_64 root=UUID=6a1d43da-3d59-443c-9404-3133b3acf167 ro quiet rhgb i915.i915_enable_rc6=1 LANG=en_GB.UTF-8
[    0.000000] BIOS-provided physical RAM map:
[    0.000000]  BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)
[    0.000000]  BIOS-e820: 0000000000100000 - 0000000020000000 (usable)
[    0.000000]  BIOS-e820: 0000000020000000 - 0000000020200000 (reserved)
[    0.000000]  BIOS-e820: 0000000020200000 - 0000000040000000 (usable)
[    0.000000]  BIOS-e820: 0000000040000000 - 0000000040200000 (reserved)
[    0.000000]  BIOS-e820: 0000000040200000 - 00000000dac0a000 (usable)
[    0.000000]  BIOS-e820: 00000000dac0a000 - 00000000dac1e000 (ACPI data)
[    0.000000]  BIOS-e820: 00000000dac1e000 - 00000000dac6b000 (ACPI NVS)
[    0.000000]  BIOS-e820: 00000000dac6b000 - 00000000dac7c000 (reserved)
[    0.000000]  BIOS-e820: 00000000dac7c000 - 00000000dac7f000 (ACPI NVS)
[    0.000000]  BIOS-e820: 00000000dac7f000 - 00000000dac8a000 (usable)
[    0.000000]  BIOS-e820: 00000000dac8a000 - 00000000dacaf000 (reserved)
[    0.000000]  BIOS-e820: 00000000dacaf000 - 00000000dacb0000 (usable)
[    0.000000]  BIOS-e820: 00000000dacb0000 - 00000000dad04000 (reserved)
[    0.000000]  BIOS-e820: 00000000dad04000 - 00000000dad05000 (ACPI data)
[    0.000000]  BIOS-e820: 00000000dad05000 - 00000000dad06000 (ACPI NVS)
[    0.000000]  BIOS-e820: 00000000dad06000 - 00000000dad09000 (reserved)
[    0.000000]  BIOS-e820: 00000000dad09000 - 00000000dad11000 (ACPI NVS)
[    0.000000]  BIOS-e820: 00000000dad11000 - 00000000dad39000 (reserved)
[    0.000000]  BIOS-e820: 00000000dad39000 - 00000000dad7c000 (ACPI NVS)
[    0.000000]  BIOS-e820: 00000000dad7c000 - 00000000db000000 (usable)
[    0.000000]  BIOS-e820: 00000000db800000 - 00000000dfa00000 (reserved)
[    0.000000]  BIOS-e820: 00000000f8000000 - 00000000fc000000 (reserved)
[    0.000000]  BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
[    0.000000]  BIOS-e820: 00000000fed00000 - 00000000fed04000 (reserved)
[    0.000000]  BIOS-e820: 00000000fed1c000 - 00000000fed20000 (reserved)
[    0.000000]  BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
[    0.000000]  BIOS-e820: 00000000ff000000 - 0000000100000000 (reserved)
[    0.000000]  BIOS-e820: 0000000100000000 - 000000041e600000 (usable)
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] EFI v2.10 by American Megatrends
[    0.000000]  ACPI 2.0=0xdac0a000  ACPI=0xdac0a000  SMBIOS=0xdad37218  MPS=0xfcb40 
[    0.000000] Kernel-defined memdesc doesn't match the one from EFI!
[    0.000000] EFI: mem00: type=3, attr=0xf, range=[0x0000000000000000-0x0000000000008000) (0MB)
[    0.000000] EFI: mem01: type=7, attr=0xf, range=[0x0000000000008000-0x000000000005f000) (0MB)
[    0.000000] EFI: mem02: type=4, attr=0xf, range=[0x000000000005f000-0x0000000000060000) (0MB)
[    0.000000] EFI: mem03: type=3, attr=0xf, range=[0x0000000000060000-0x00000000000a0000) (0MB)
[    0.000000] EFI: mem04: type=2, attr=0xf, range=[0x0000000000100000-0x0000000000572000) (4MB)
[    0.000000] EFI: mem05: type=7, attr=0xf, range=[0x0000000000572000-0x0000000008000000) (122MB)
[    0.000000] EFI: mem06: type=4, attr=0xf, range=[0x0000000008000000-0x00000000083dc000) (3MB)
[    0.000000] EFI: mem07: type=3, attr=0xf, range=[0x00000000083dc000-0x00000000083e0000) (0MB)
[    0.000000] EFI: mem08: type=4, attr=0xf, range=[0x00000000083e0000-0x00000000083ee000) (0MB)
[    0.000000] EFI: mem09: type=3, attr=0xf, range=[0x00000000083ee000-0x00000000083f0000) (0MB)
[    0.000000] EFI: mem10: type=4, attr=0xf, range=[0x00000000083f0000-0x00000000083f5000) (0MB)
[    0.000000] EFI: mem11: type=3, attr=0xf, range=[0x00000000083f5000-0x00000000083f6000) (0MB)
[    0.000000] EFI: mem12: type=4, attr=0xf, range=[0x00000000083f6000-0x0000000008423000) (0MB)
[    0.000000] EFI: mem13: type=3, attr=0xf, range=[0x0000000008423000-0x0000000008425000) (0MB)
[    0.000000] EFI: mem14: type=4, attr=0xf, range=[0x0000000008425000-0x000000000842c000) (0MB)
[    0.000000] EFI: mem15: type=3, attr=0xf, range=[0x000000000842c000-0x0000000008439000) (0MB)
[    0.000000] EFI: mem16: type=4, attr=0xf, range=[0x0000000008439000-0x000000000843a000) (0MB)
[    0.000000] EFI: mem17: type=3, attr=0xf, range=[0x000000000843a000-0x000000000843b000) (0MB)
[    0.000000] EFI: mem18: type=4, attr=0xf, range=[0x000000000843b000-0x0000000008440000) (0MB)
[    0.000000] EFI: mem19: type=3, attr=0xf, range=[0x0000000008440000-0x0000000008442000) (0MB)
[    0.000000] EFI: mem20: type=4, attr=0xf, range=[0x0000000008442000-0x0000000008443000) (0MB)
[    0.000000] EFI: mem21: type=3, attr=0xf, range=[0x0000000008443000-0x0000000008446000) (0MB)
[    0.000000] EFI: mem22: type=4, attr=0xf, range=[0x0000000008446000-0x000000000844b000) (0MB)
[    0.000000] EFI: mem23: type=3, attr=0xf, range=[0x000000000844b000-0x000000000844e000) (0MB)
[    0.000000] EFI: mem24: type=4, attr=0xf, range=[0x000000000844e000-0x0000000008450000) (0MB)
[    0.000000] EFI: mem25: type=3, attr=0xf, range=[0x0000000008450000-0x0000000008451000) (0MB)
[    0.000000] EFI: mem26: type=4, attr=0xf, range=[0x0000000008451000-0x0000000008453000) (0MB)
[    0.000000] EFI: mem27: type=3, attr=0xf, range=[0x0000000008453000-0x0000000008454000) (0MB)
[    0.000000] EFI: mem28: type=4, attr=0xf, range=[0x0000000008454000-0x0000000008456000) (0MB)
[    0.000000] EFI: mem29: type=3, attr=0xf, range=[0x0000000008456000-0x0000000008457000) (0MB)
[    0.000000] EFI: mem30: type=4, attr=0xf, range=[0x0000000008457000-0x0000000008467000) (0MB)
[    0.000000] EFI: mem31: type=3, attr=0xf, range=[0x0000000008467000-0x0000000008468000) (0MB)
[    0.000000] EFI: mem32: type=4, attr=0xf, range=[0x0000000008468000-0x0000000008469000) (0MB)
[    0.000000] EFI: mem33: type=3, attr=0xf, range=[0x0000000008469000-0x000000000846a000) (0MB)
[    0.000000] EFI: mem34: type=4, attr=0xf, range=[0x000000000846a000-0x000000000846b000) (0MB)
[    0.000000] EFI: mem35: type=3, attr=0xf, range=[0x000000000846b000-0x0000000008473000) (0MB)
[    0.000000] EFI: mem36: type=4, attr=0xf, range=[0x0000000008473000-0x0000000008485000) (0MB)
[    0.000000] EFI: mem37: type=3, attr=0xf, range=[0x0000000008485000-0x000000000848e000) (0MB)
[    0.000000] EFI: mem38: type=4, attr=0xf, range=[0x000000000848e000-0x000000000849a000) (0MB)
[    0.000000] EFI: mem39: type=3, attr=0xf, range=[0x000000000849a000-0x00000000084a0000) (0MB)
[    0.000000] EFI: mem40: type=4, attr=0xf, range=[0x00000000084a0000-0x00000000084ad000) (0MB)
[    0.000000] EFI: mem41: type=3, attr=0xf, range=[0x00000000084ad000-0x00000000084b3000) (0MB)
[    0.000000] EFI: mem42: type=4, attr=0xf, range=[0x00000000084b3000-0x00000000084c1000) (0MB)
[    0.000000] EFI: mem43: type=3, attr=0xf, range=[0x00000000084c1000-0x00000000084c7000) (0MB)
[    0.000000] EFI: mem44: type=4, attr=0xf, range=[0x00000000084c7000-0x00000000084ce000) (0MB)
[    0.000000] EFI: mem45: type=3, attr=0xf, range=[0x00000000084ce000-0x00000000084cf000) (0MB)
[    0.000000] EFI: mem46: type=4, attr=0xf, range=[0x00000000084cf000-0x00000000084d2000) (0MB)
[    0.000000] EFI: mem47: type=3, attr=0xf, range=[0x00000000084d2000-0x00000000084d6000) (0MB)
[    0.000000] EFI: mem48: type=4, attr=0xf, range=[0x00000000084d6000-0x00000000084df000) (0MB)
[    0.000000] EFI: mem49: type=3, attr=0xf, range=[0x00000000084df000-0x00000000084e2000) (0MB)
[    0.000000] EFI: mem50: type=4, attr=0xf, range=[0x00000000084e2000-0x00000000084fe000) (0MB)
[    0.000000] EFI: mem51: type=3, attr=0xf, range=[0x00000000084fe000-0x0000000008500000) (0MB)
[    0.000000] EFI: mem52: type=4, attr=0xf, range=[0x0000000008500000-0x0000000008504000) (0MB)
[    0.000000] EFI: mem53: type=3, attr=0xf, range=[0x0000000008504000-0x0000000008505000) (0MB)
[    0.000000] EFI: mem54: type=4, attr=0xf, range=[0x0000000008505000-0x0000000008506000) (0MB)
[    0.000000] EFI: mem55: type=3, attr=0xf, range=[0x0000000008506000-0x000000000850b000) (0MB)
[    0.000000] EFI: mem56: type=4, attr=0xf, range=[0x000000000850b000-0x0000000008511000) (0MB)
[    0.000000] EFI: mem57: type=3, attr=0xf, range=[0x0000000008511000-0x0000000008514000) (0MB)
[    0.000000] EFI: mem58: type=4, attr=0xf, range=[0x0000000008514000-0x0000000008517000) (0MB)
[    0.000000] EFI: mem59: type=3, attr=0xf, range=[0x0000000008517000-0x0000000008518000) (0MB)
[    0.000000] EFI: mem60: type=4, attr=0xf, range=[0x0000000008518000-0x000000000851a000) (0MB)
[    0.000000] EFI: mem61: type=3, attr=0xf, range=[0x000000000851a000-0x000000000851b000) (0MB)
[    0.000000] EFI: mem62: type=4, attr=0xf, range=[0x000000000851b000-0x000000000851c000) (0MB)
[    0.000000] EFI: mem63: type=3, attr=0xf, range=[0x000000000851c000-0x000000000851e000) (0MB)
[    0.000000] EFI: mem64: type=4, attr=0xf, range=[0x000000000851e000-0x000000000852e000) (0MB)
[    0.000000] EFI: mem65: type=3, attr=0xf, range=[0x000000000852e000-0x0000000008537000) (0MB)
[    0.000000] EFI: mem66: type=4, attr=0xf, range=[0x0000000008537000-0x000000000853a000) (0MB)
[    0.000000] EFI: mem67: type=3, attr=0xf, range=[0x000000000853a000-0x000000000853f000) (0MB)
[    0.000000] EFI: mem68: type=4, attr=0xf, range=[0x000000000853f000-0x0000000008549000) (0MB)
[    0.000000] EFI: mem69: type=3, attr=0xf, range=[0x0000000008549000-0x000000000854e000) (0MB)
[    0.000000] EFI: mem70: type=4, attr=0xf, range=[0x000000000854e000-0x0000000008561000) (0MB)
[    0.000000] EFI: mem71: type=3, attr=0xf, range=[0x0000000008561000-0x0000000008564000) (0MB)
[    0.000000] EFI: mem72: type=4, attr=0xf, range=[0x0000000008564000-0x0000000008568000) (0MB)
[    0.000000] EFI: mem73: type=3, attr=0xf, range=[0x0000000008568000-0x0000000008573000) (0MB)
[    0.000000] EFI: mem74: type=4, attr=0xf, range=[0x0000000008573000-0x0000000008579000) (0MB)
[    0.000000] EFI: mem75: type=3, attr=0xf, range=[0x0000000008579000-0x000000000858b000) (0MB)
[    0.000000] EFI: mem76: type=4, attr=0xf, range=[0x000000000858b000-0x000000000858c000) (0MB)
[    0.000000] EFI: mem77: type=3, attr=0xf, range=[0x000000000858c000-0x0000000008599000) (0MB)
[    0.000000] EFI: mem78: type=4, attr=0xf, range=[0x0000000008599000-0x00000000085aa000) (0MB)
[    0.000000] EFI: mem79: type=3, attr=0xf, range=[0x00000000085aa000-0x00000000085bd000) (0MB)
[    0.000000] EFI: mem80: type=4, attr=0xf, range=[0x00000000085bd000-0x00000000085e5000) (0MB)
[    0.000000] EFI: mem81: type=3, attr=0xf, range=[0x00000000085e5000-0x00000000085e8000) (0MB)
[    0.000000] EFI: mem82: type=4, attr=0xf, range=[0x00000000085e8000-0x00000000085ea000) (0MB)
[    0.000000] EFI: mem83: type=3, attr=0xf, range=[0x00000000085ea000-0x0000000008631000) (0MB)
[    0.000000] EFI: mem84: type=4, attr=0xf, range=[0x0000000008631000-0x0000000008633000) (0MB)
[    0.000000] EFI: mem85: type=3, attr=0xf, range=[0x0000000008633000-0x0000000008638000) (0MB)
[    0.000000] EFI: mem86: type=4, attr=0xf, range=[0x0000000008638000-0x0000000008644000) (0MB)
[    0.000000] EFI: mem87: type=3, attr=0xf, range=[0x0000000008644000-0x000000000864a000) (0MB)
[    0.000000] EFI: mem88: type=4, attr=0xf, range=[0x000000000864a000-0x0000000008668000) (0MB)
[    0.000000] EFI: mem89: type=3, attr=0xf, range=[0x0000000008668000-0x000000000866b000) (0MB)
[    0.000000] EFI: mem90: type=4, attr=0xf, range=[0x000000000866b000-0x0000000008710000) (0MB)
[    0.000000] EFI: mem91: type=3, attr=0xf, range=[0x0000000008710000-0x0000000008715000) (0MB)
[    0.000000] EFI: mem92: type=4, attr=0xf, range=[0x0000000008715000-0x000000000871a000) (0MB)
[    0.000000] EFI: mem93: type=3, attr=0xf, range=[0x000000000871a000-0x000000000871f000) (0MB)
[    0.000000] EFI: mem94: type=4, attr=0xf, range=[0x000000000871f000-0x000000000872b000) (0MB)
[    0.000000] EFI: mem95: type=3, attr=0xf, range=[0x000000000872b000-0x000000000872e000) (0MB)
[    0.000000] EFI: mem96: type=4, attr=0xf, range=[0x000000000872e000-0x000000000873d000) (0MB)
[    0.000000] EFI: mem97: type=3, attr=0xf, range=[0x000000000873d000-0x0000000008746000) (0MB)
[    0.000000] EFI: mem98: type=4, attr=0xf, range=[0x0000000008746000-0x0000000008bdc000) (4MB)
[    0.000000] EFI: mem99: type=3, attr=0xf, range=[0x0000000008bdc000-0x0000000008bdd000) (0MB)
[    0.000000] EFI: mem100: type=4, attr=0xf, range=[0x0000000008bdd000-0x0000000008bde000) (0MB)
[    0.000000] EFI: mem101: type=3, attr=0xf, range=[0x0000000008bde000-0x0000000008be1000) (0MB)
[    0.000000] EFI: mem102: type=4, attr=0xf, range=[0x0000000008be1000-0x0000000008beb000) (0MB)
[    0.000000] EFI: mem103: type=3, attr=0xf, range=[0x0000000008beb000-0x0000000008bee000) (0MB)
[    0.000000] EFI: mem104: type=4, attr=0xf, range=[0x0000000008bee000-0x0000000008bef000) (0MB)
[    0.000000] EFI: mem105: type=3, attr=0xf, range=[0x0000000008bef000-0x0000000008bf3000) (0MB)
[    0.000000] EFI: mem106: type=4, attr=0xf, range=[0x0000000008bf3000-0x0000000008bfd000) (0MB)
[    0.000000] EFI: mem107: type=3, attr=0xf, range=[0x0000000008bfd000-0x0000000008bfe000) (0MB)
[    0.000000] EFI: mem108: type=4, attr=0xf, range=[0x0000000008bfe000-0x0000000008c03000) (0MB)
[    0.000000] EFI: mem109: type=3, attr=0xf, range=[0x0000000008c03000-0x0000000008c04000) (0MB)
[    0.000000] EFI: mem110: type=4, attr=0xf, range=[0x0000000008c04000-0x0000000008c0b000) (0MB)
[    0.000000] EFI: mem111: type=3, attr=0xf, range=[0x0000000008c0b000-0x0000000008c10000) (0MB)
[    0.000000] EFI: mem112: type=4, attr=0xf, range=[0x0000000008c10000-0x0000000008c1a000) (0MB)
[    0.000000] EFI: mem113: type=3, attr=0xf, range=[0x0000000008c1a000-0x0000000008c1f000) (0MB)
[    0.000000] EFI: mem114: type=4, attr=0xf, range=[0x0000000008c1f000-0x0000000008c23000) (0MB)
[    0.000000] EFI: mem115: type=3, attr=0xf, range=[0x0000000008c23000-0x0000000008c25000) (0MB)
[    0.000000] EFI: mem116: type=4, attr=0xf, range=[0x0000000008c25000-0x0000000008c2a000) (0MB)
[    0.000000] EFI: mem117: type=3, attr=0xf, range=[0x0000000008c2a000-0x0000000008c2c000) (0MB)
[    0.000000] EFI: mem118: type=4, attr=0xf, range=[0x0000000008c2c000-0x0000000008c32000) (0MB)
[    0.000000] EFI: mem119: type=3, attr=0xf, range=[0x0000000008c32000-0x0000000008c39000) (0MB)
[    0.000000] EFI: mem120: type=4, attr=0xf, range=[0x0000000008c39000-0x0000000008c44000) (0MB)
[    0.000000] EFI: mem121: type=3, attr=0xf, range=[0x0000000008c44000-0x0000000008c46000) (0MB)
[    0.000000] EFI: mem122: type=4, attr=0xf, range=[0x0000000008c46000-0x0000000008c48000) (0MB)
[    0.000000] EFI: mem123: type=3, attr=0xf, range=[0x0000000008c48000-0x0000000008c4a000) (0MB)
[    0.000000] EFI: mem124: type=4, attr=0xf, range=[0x0000000008c4a000-0x0000000008c4b000) (0MB)
[    0.000000] EFI: mem125: type=3, attr=0xf, range=[0x0000000008c4b000-0x0000000008c4f000) (0MB)
[    0.000000] EFI: mem126: type=4, attr=0xf, range=[0x0000000008c4f000-0x0000000008c5b000) (0MB)
[    0.000000] EFI: mem127: type=3, attr=0xf, range=[0x0000000008c5b000-0x0000000008c61000) (0MB)
[    0.000000] EFI: mem128: type=4, attr=0xf, range=[0x0000000008c61000-0x0000000008c65000) (0MB)
[    0.000000] EFI: mem129: type=3, attr=0xf, range=[0x0000000008c65000-0x0000000008c67000) (0MB)
[    0.000000] EFI: mem130: type=4, attr=0xf, range=[0x0000000008c67000-0x0000000008c77000) (0MB)
[    0.000000] EFI: mem131: type=3, attr=0xf, range=[0x0000000008c77000-0x0000000008c79000) (0MB)
[    0.000000] EFI: mem132: type=4, attr=0xf, range=[0x0000000008c79000-0x0000000008c7e000) (0MB)
[    0.000000] EFI: mem133: type=3, attr=0xf, range=[0x0000000008c7e000-0x0000000008c90000) (0MB)
[    0.000000] EFI: mem134: type=4, attr=0xf, range=[0x0000000008c90000-0x0000000008c99000) (0MB)
[    0.000000] EFI: mem135: type=3, attr=0xf, range=[0x0000000008c99000-0x0000000008c9d000) (0MB)
[    0.000000] EFI: mem136: type=4, attr=0xf, range=[0x0000000008c9d000-0x0000000008c9e000) (0MB)
[    0.000000] EFI: mem137: type=3, attr=0xf, range=[0x0000000008c9e000-0x0000000008ca0000) (0MB)
[    0.000000] EFI: mem138: type=4, attr=0xf, range=[0x0000000008ca0000-0x0000000008cab000) (0MB)
[    0.000000] EFI: mem139: type=3, attr=0xf, range=[0x0000000008cab000-0x0000000008cac000) (0MB)
[    0.000000] EFI: mem140: type=4, attr=0xf, range=[0x0000000008cac000-0x0000000008cbf000) (0MB)
[    0.000000] EFI: mem141: type=3, attr=0xf, range=[0x0000000008cbf000-0x0000000008cc1000) (0MB)
[    0.000000] EFI: mem142: type=4, attr=0xf, range=[0x0000000008cc1000-0x0000000008cc3000) (0MB)
[    0.000000] EFI: mem143: type=3, attr=0xf, range=[0x0000000008cc3000-0x0000000008ccf000) (0MB)
[    0.000000] EFI: mem144: type=4, attr=0xf, range=[0x0000000008ccf000-0x0000000008ceb000) (0MB)
[    0.000000] EFI: mem145: type=3, attr=0xf, range=[0x0000000008ceb000-0x0000000008cf8000) (0MB)
[    0.000000] EFI: mem146: type=4, attr=0xf, range=[0x0000000008cf8000-0x0000000008cfb000) (0MB)
[    0.000000] EFI: mem147: type=3, attr=0xf, range=[0x0000000008cfb000-0x0000000008cfe000) (0MB)
[    0.000000] EFI: mem148: type=4, attr=0xf, range=[0x0000000008cfe000-0x0000000008fcf000) (2MB)
[    0.000000] EFI: mem149: type=3, attr=0xf, range=[0x0000000008fcf000-0x0000000008fdc000) (0MB)
[    0.000000] EFI: mem150: type=4, attr=0xf, range=[0x0000000008fdc000-0x0000000009165000) (1MB)
[    0.000000] EFI: mem151: type=7, attr=0xf, range=[0x0000000009165000-0x0000000009186000) (0MB)
[    0.000000] EFI: mem152: type=1, attr=0xf, range=[0x0000000009186000-0x00000000091a8000) (0MB)
[    0.000000] EFI: mem153: type=7, attr=0xf, range=[0x00000000091a8000-0x00000000091cc000) (0MB)
[    0.000000] EFI: mem154: type=4, attr=0xf, range=[0x00000000091cc000-0x0000000009209000) (0MB)
[    0.000000] EFI: mem155: type=7, attr=0xf, range=[0x0000000009209000-0x0000000020000000) (365MB)
[    0.000000] EFI: mem156: type=0, attr=0xf, range=[0x0000000020000000-0x0000000020200000) (2MB)
[    0.000000] EFI: mem157: type=7, attr=0xf, range=[0x0000000020200000-0x00000000364cc000) (354MB)
[    0.000000] EFI: mem158: type=2, attr=0xf, range=[0x00000000364cc000-0x000000003725e000) (13MB)
[    0.000000] EFI: mem159: type=7, attr=0xf, range=[0x000000003725e000-0x0000000040000000) (141MB)
[    0.000000] EFI: mem160: type=0, attr=0xf, range=[0x0000000040000000-0x0000000040200000) (2MB)
[    0.000000] EFI: mem161: type=7, attr=0xf, range=[0x0000000040200000-0x00000000a1473000) (1554MB)
[    0.000000] EFI: mem162: type=2, attr=0xf, range=[0x00000000a1473000-0x00000000d7a84000) (870MB)
[    0.000000] EFI: mem163: type=7, attr=0xf, range=[0x00000000d7a84000-0x00000000d7a88000) (0MB)
[    0.000000] EFI: mem164: type=4, attr=0xf, range=[0x00000000d7a88000-0x00000000d7a8f000) (0MB)
[    0.000000] EFI: mem165: type=7, attr=0xf, range=[0x00000000d7a8f000-0x00000000dac0a000) (49MB)
[    0.000000] EFI: mem166: type=9, attr=0xf, range=[0x00000000dac0a000-0x00000000dac1e000) (0MB)
[    0.000000] EFI: mem167: type=10, attr=0xf, range=[0x00000000dac1e000-0x00000000dac6b000) (0MB)
[    0.000000] EFI: mem168: type=0, attr=0xf, range=[0x00000000dac6b000-0x00000000dac7c000) (0MB)
[    0.000000] EFI: mem169: type=10, attr=0xf, range=[0x00000000dac7c000-0x00000000dac7f000) (0MB)
[    0.000000] EFI: mem170: type=7, attr=0xf, range=[0x00000000dac7f000-0x00000000dac82000) (0MB)
[    0.000000] EFI: mem171: type=2, attr=0xf, range=[0x00000000dac82000-0x00000000dac8a000) (0MB)
[    0.000000] EFI: mem172: type=0, attr=0xf, range=[0x00000000dac8a000-0x00000000dac8d000) (0MB)
[    0.000000] EFI: mem173: type=5, attr=0x800000000000000f, range=[0x00000000dac8d000-0x00000000dac91000) (0MB)
[    0.000000] EFI: mem174: type=0, attr=0xf, range=[0x00000000dac91000-0x00000000daca0000) (0MB)
[    0.000000] EFI: mem175: type=5, attr=0x800000000000000f, range=[0x00000000daca0000-0x00000000daca2000) (0MB)
[    0.000000] EFI: mem176: type=0, attr=0xf, range=[0x00000000daca2000-0x00000000dacab000) (0MB)
[    0.000000] EFI: mem177: type=5, attr=0x800000000000000f, range=[0x00000000dacab000-0x00000000dacaf000) (0MB)
[    0.000000] EFI: mem178: type=7, attr=0xf, range=[0x00000000dacaf000-0x00000000dacb0000) (0MB)
[    0.000000] EFI: mem179: type=6, attr=0x800000000000000f, range=[0x00000000dacb0000-0x00000000dace1000) (0MB)
[    0.000000] EFI: mem180: type=5, attr=0x800000000000000f, range=[0x00000000dace1000-0x00000000dace5000) (0MB)
[    0.000000] EFI: mem181: type=0, attr=0xf, range=[0x00000000dace5000-0x00000000dace8000) (0MB)
[    0.000000] EFI: mem182: type=5, attr=0x800000000000000f, range=[0x00000000dace8000-0x00000000daceb000) (0MB)
[    0.000000] EFI: mem183: type=6, attr=0x800000000000000f, range=[0x00000000daceb000-0x00000000dacec000) (0MB)
[    0.000000] EFI: mem184: type=5, attr=0x800000000000000f, range=[0x00000000dacec000-0x00000000daced000) (0MB)
[    0.000000] EFI: mem185: type=6, attr=0x800000000000000f, range=[0x00000000daced000-0x00000000dacee000) (0MB)
[    0.000000] EFI: mem186: type=0, attr=0xf, range=[0x00000000dacee000-0x00000000dacfe000) (0MB)
[    0.000000] EFI: mem187: type=5, attr=0x800000000000000f, range=[0x00000000dacfe000-0x00000000dad04000) (0MB)
[    0.000000] EFI: mem188: type=9, attr=0xf, range=[0x00000000dad04000-0x00000000dad05000) (0MB)
[    0.000000] EFI: mem189: type=10, attr=0xf, range=[0x00000000dad05000-0x00000000dad06000) (0MB)
[    0.000000] EFI: mem190: type=0, attr=0xf, range=[0x00000000dad06000-0x00000000dad09000) (0MB)
[    0.000000] EFI: mem191: type=10, attr=0xf, range=[0x00000000dad09000-0x00000000dad11000) (0MB)
[    0.000000] EFI: mem192: type=5, attr=0x800000000000000f, range=[0x00000000dad11000-0x00000000dad15000) (0MB)
[    0.000000] EFI: mem193: type=6, attr=0x800000000000000f, range=[0x00000000dad15000-0x00000000dad27000) (0MB)
[    0.000000] EFI: mem194: type=5, attr=0x800000000000000f, range=[0x00000000dad27000-0x00000000dad36000) (0MB)
[    0.000000] EFI: mem195: type=6, attr=0x800000000000000f, range=[0x00000000dad36000-0x00000000dad39000) (0MB)
[    0.000000] EFI: mem196: type=10, attr=0xf, range=[0x00000000dad39000-0x00000000dad7c000) (0MB)
[    0.000000] EFI: mem197: type=3, attr=0xf, range=[0x00000000dad7c000-0x00000000dafec000) (2MB)
[    0.000000] EFI: mem198: type=4, attr=0xf, range=[0x00000000dafec000-0x00000000daff3000) (0MB)
[    0.000000] EFI: mem199: type=3, attr=0xf, range=[0x00000000daff3000-0x00000000db000000) (0MB)
[    0.000000] EFI: mem200: type=7, attr=0xf, range=[0x0000000100000000-0x000000041e600000) (12774MB)
[    0.000000] EFI: mem201: type=0, attr=0x8000000000000000, range=[0x00000000db800000-0x00000000dfa00000) (66MB)
[    0.000000] EFI: mem202: type=11, attr=0x8000000000000001, range=[0x00000000f8000000-0x00000000fc000000) (64MB)
[    0.000000] EFI: mem203: type=11, attr=0x8000000000000001, range=[0x00000000fec00000-0x00000000fec01000) (0MB)
[    0.000000] EFI: mem204: type=11, attr=0x8000000000000001, range=[0x00000000fed00000-0x00000000fed04000) (0MB)
[    0.000000] EFI: mem205: type=11, attr=0x8000000000000001, range=[0x00000000fed1c000-0x00000000fed20000) (0MB)
[    0.000000] EFI: mem206: type=11, attr=0x8000000000000001, range=[0x00000000fee00000-0x00000000fee01000) (0MB)
[    0.000000] EFI: mem207: type=11, attr=0x8000000000000001, range=[0x00000000ff000000-0x0000000100000000) (16MB)
[    0.000000] DMI 2.7 present.
[    0.000000] DMI: Supermicro X9SCV-Q/X9SCV-QV4/X9SCV-Q, BIOS 1.0b 07/21/2011
[    0.000000] e820 update range: 0000000000000000 - 0000000000010000 (usable) ==> (reserved)
[    0.000000] e820 remove range: 00000000000a0000 - 0000000000100000 (usable)



kernel defined memdesc does not match the one provided by the EFI - ? Has the kernel stored an alternative memory map that is "correct"?

Additionally, I noted that xen looks up an e801 map but linux kernel looks up an e820 map. Not sure if this is significant
Comment 3 Fedora Admin XMLRPC Client 2012-05-15 15:38:24 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Michael Bauer 2012-06-27 07:46:26 EDT
I have the same issue with the following system:
- Asus P8P67 (UEFI)
- Core i7 3770
- 8GB RAM
- xen 4.1.2

Steps to Reproduce:
1.Boot the system
2.Type xm info
3.Verify total_memory field
  
Actual results:
total_memory field shows 3306

Expected results:
total_memory should show approx 8,000

Note:
At http://serverfault.com/questions/342109/xen-only-sees-512mb-of-system-ram-should-be-8gb-uefi-boot a patch is mentioned. With slight adjustment of this patch to match 4.1.2 release xen detects correctly 8GB. But from my understanding this patch is not a fix but rather ugly workaround.

Let me know if i should post any additional details. The error is 100% reproducable.
Comment 5 Bill McGonigle 2012-12-16 02:28:50 EST
Mostly adding myself to CC: but I'll just note for others that Xen 4.2 has more UEFI support, and there are early testing RPM's.

I think we're still waiting for kernel support to make it useful, though.

My main VM server is showing an 820 memory map from Xen, but I can't seem to get above 2998556K total RAM for a DomU (using dom0_mem=4096M,max:4096M).  

[    0.000000] e820: BIOS-provided physical RAM map:
[    0.000000] Xen: [mem 0x0000000000000000-0x000000000009afff] usable
[    0.000000] Xen: [mem 0x000000000009b400-0x00000000000fffff] reserved
[    0.000000] Xen: [mem 0x0000000000100000-0x00000000bfa6cfff] usable
[    0.000000] Xen: [mem 0x00000000bfa6d000-0x00000000bfaf7fff] ACPI NVS
[    0.000000] Xen: [mem 0x00000000bfaf8000-0x00000000bfafafff] reserved
[    0.000000] Xen: [mem 0x00000000bfafb000-0x00000000bfafbfff] usable
[    0.000000] Xen: [mem 0x00000000bfafc000-0x00000000bfb02fff] ACPI NVS
[    0.000000] Xen: [mem 0x00000000bfb03000-0x00000000bfb4cfff] reserved
[    0.000000] Xen: [mem 0x00000000bfb4d000-0x00000000bfb54fff] ACPI NVS
[    0.000000] Xen: [mem 0x00000000bfb55000-0x00000000bfb7dfff] reserved
[    0.000000] Xen: [mem 0x00000000bfb7e000-0x00000000bfd80fff] ACPI NVS
[    0.000000] Xen: [mem 0x00000000bfd81000-0x00000000bfefffff] usable
[    0.000000] Xen: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[    0.000000] Xen: [mem 0x00000000fec10000-0x00000000fec10fff] reserved
[    0.000000] Xen: [mem 0x00000000fec20000-0x00000000fec20fff] reserved
[    0.000000] Xen: [mem 0x00000000fed00000-0x00000000fed00fff] reserved
[    0.000000] Xen: [mem 0x00000000fed61000-0x00000000fed70fff] reserved
[    0.000000] Xen: [mem 0x00000000fed80000-0x00000000fed8ffff] reserved
[    0.000000] Xen: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[    0.000000] Xen: [mem 0x00000000fef00000-0x00000000ffffffff] reserved
[    0.000000] Xen: [mem 0x0000000100001000-0x0000000140478fff] usable
[    0.000000] Xen: [mem 0x0000000140479000-0x000000043fffffff] unusable
[    0.000000] e820: remove [mem 0x100000000-0xfffffffffffffffe] usable
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] e820: user-defined physical RAM map:
[    0.000000] user: [mem 0x0000000000000000-0x000000000009afff] usable
[    0.000000] user: [mem 0x000000000009b400-0x00000000000fffff] reserved
[    0.000000] user: [mem 0x0000000000100000-0x00000000bfa6cfff] usable
[    0.000000] user: [mem 0x00000000bfa6d000-0x00000000bfaf7fff] ACPI NVS
[    0.000000] user: [mem 0x00000000bfaf8000-0x00000000bfafafff] reserved
[    0.000000] user: [mem 0x00000000bfafb000-0x00000000bfafbfff] usable
[    0.000000] user: [mem 0x00000000bfafc000-0x00000000bfb02fff] ACPI NVS
[    0.000000] user: [mem 0x00000000bfb03000-0x00000000bfb4cfff] reserved
[    0.000000] user: [mem 0x00000000bfb4d000-0x00000000bfb54fff] ACPI NVS
[    0.000000] user: [mem 0x00000000bfb55000-0x00000000bfb7dfff] reserved
[    0.000000] user: [mem 0x00000000bfb7e000-0x00000000bfd80fff] ACPI NVS
[    0.000000] user: [mem 0x00000000bfd81000-0x00000000bfefffff] usable
[    0.000000] user: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[    0.000000] user: [mem 0x00000000fec10000-0x00000000fec10fff] reserved
[    0.000000] user: [mem 0x00000000fec20000-0x00000000fec20fff] reserved
[    0.000000] user: [mem 0x00000000fed00000-0x00000000fed00fff] reserved
[    0.000000] user: [mem 0x00000000fed61000-0x00000000fed70fff] reserved
[    0.000000] user: [mem 0x00000000fed80000-0x00000000fed8ffff] reserved
[    0.000000] user: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[    0.000000] user: [mem 0x00000000fef00000-0x00000000ffffffff] reserved
[    0.000000] user: [mem 0x0000000140479000-0x000000043fffffff] unusable
Comment 6 Bill McGonigle 2012-12-16 02:33:15 EST
nutz:  

- I can't seem to get above 2998556K total RAM for a DomU
+ I can't seem to get above 2998556K total RAM for a Dom0
Comment 7 Fedora End Of Life 2013-01-16 10:09:13 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Cole Robinson 2013-02-11 16:41:30 EST
Thanks for the info everyone, sorry this wasn't looked at. But since F16 is about to become unsupported, closing this as WONTFIX. If anyone can still reproduce on F18, please reopen. Hopefully xen 4.2 does the trick as mentioned above
Comment 9 Bill McGonigle 2013-02-15 00:24:36 EST
This bug was valid on F17 with the shipping Xen there.
Comment 10 Cole Robinson 2013-02-15 17:08:46 EST
Bill, F17 doesn't have xen 4.2, and my guess is that if there's a fix here it isn't likely to be backported to F17. But if it's still an issue on F18 we can reopen this bug.
Comment 11 Bill McGonigle 2013-02-18 22:05:03 EST
Created attachment 699287 [details]
adds e820_ignore_raw option to xen

To clarify my previous comment, I'm not even sure that the issue I'm seeing is a UEFI problem (or that the cause of this bug has been determined) but I spent some more time on it tonight and found:

Some memory handling work was done and released in Xen 4.1.4:
  http://lists.xen.org/archives/html/xen-changelog/2012-09/msg00203.html

I got that via nightly yum updates on my fc17 machine on January 21st.  Rebooted, no difference, but it might help some here.

I took a stab at implementing a version of the patch referenced above on top of 4.1.4 - to get the multiboot e820 map instead of the raw one, but that didn't help me either.  I'll upload the spec as well in case anybody else wants to build that (email me if you need RPMs) since this technique does appear to fix some machines.  Activate the switch with e820_ignore_raw on the xen command line.
Comment 12 Bill McGonigle 2013-02-18 22:06:38 EST
Created attachment 699288 [details]
spec to build xen with the e820_ignore_raw option
Comment 13 Daniel Kiper 2013-02-22 17:26:00 EST
Hi all,

GRUB with Xen is not supported on EFI platforms. Additionally, there is no support for Xen running on EFI systems in upstream kernel. We are working on both issues. Please follow LKML and Xen-devel for more details.

Daniel